CREATE TRIGGER if not exists delete_push_ack_on_update
   AFTER UPDATE
ON[push_acks]
  for each row
    BEGIN
        delete from push_acks where acknowledged = 1 
        AND (strftime('%s','now') * 1000 - job_done_at) > 172800000;
END;