CREATE TABLE IF NOT EXISTS 'battery_history' (
	'id' INTEGER PRIMARY KEY AUTOINCREMENT,
    'properties_at' INTEGER DEFAULT 0 NOT NULL,
    'battery_status' INTEGER DEFAULT 0 NOT NULL,
    'is_battery_charging' BOOLEAN DEFAULT 0,
    'battery_voltage' INTEGER DEFAULT -1 NOT NULL,
    'battery_temp' INTEGER DEFAULT 0 NOT NULL,
    'power_source' TEXT DEFAULT '' ,
    'battery_technology' TEXT DEFAULT '' ,
    'battery_health' TEXT DEFAULT '' ,
    'battery_extra_status' TEXT DEFAULT '' ,
    'battery_charge_counter' INTEGER DEFAULT 0 NOT NULL,
    'battery_discharge_rate' INTEGER DEFAULT 0 NOT NULL,
    'battery_capacity' INTEGER DEFAULT 0 NOT NULL,
    'sync_status' BOOLEAN DEFAULT 0 NOT NULL);